--- wbarconf/install.sh
+++ wbarconf/install.sh
@@ -1,5 +1,6 @@
 #!/bin/sh
 startdir=$1
+version=0.7.2.2
 
 if [ $(echo $1|wc -w) -eq 0 ];then
 	echo "Usage: install.sh /path/to"
@@ -8,29 +9,28 @@
 	exit 1
 fi
 
-echo "Installing in to $startdir..."
+echo "Installing in to ${startdir}..."
 
+cd "$(dirname "$(readlink -f "$0")")" || exit 1
 
-mkdir -p $startdir/bin/ || return 1
-install -m0755 wbarconf $startdir/bin/ || return 1
+mkdir -p "${startdir}"/bin/ || exit 1
+install -m0755 wbarconf "${startdir}"/bin/ || exit 1
 
-mkdir -p $startdir/share/wbarconf/
-install -m0644 README $startdir/share/wbarconf/ || return 1
-install -m0644 COPYING $startdir/share/wbarconf/ || return 1
+mkdir -p "${startdir}"/share/doc/wbarconf-${version}/wbarbacks/ || exit 1
+install -m0644 README "${startdir}"/share/doc/wbarconf-${version}/ || exit 1
+install -m0644 wbarbacks/README "${startdir}"/share/doc/wbarconf-${version}/wbarbacks/ || exit 1
 
-mkdir -p $startdir/share/locale/ || return 1
-cp -av locale/* $startdir/share/locale/ || return 1
-chmod 0755 -R  $startdir/share/ || return 1
-find $startdir/share/locale/ -name wbarconf.po -print | xargs rm -f
-install -m0644 messages.pot $startdir/share/wbarconf/ || return 1
+find . -type d -name LC_MESSAGES -exec mkdir -p "${startdir}/share/{}" \; || exit 1
+find . -type f -name wbarconf.mo -exec install -m0644 '{}' "${startdir}/share/{}" \; || exit 1
 
-cp -av wbarbacks $startdir/share/wbarconf/ || return 1
-chmod 0655 -R  $startdir/share/wbarconf/ || return 1
+mkdir -p "${startdir}"/share/wbarconf/wbarbacks/ || exit 1
+install -m0644 messages.pot "${startdir}"/share/wbarconf/ || exit 1
+find ./wbarbacks -type f -name "*.png" -exec install -m0644 '{}' "${startdir}/share/wbarconf/{}" \; || exit 1
 
-mkdir -p $startdir/share/pixmaps/
-install -m0644 wbarconf.png $startdir/share/pixmaps/ || return 1
+mkdir -p "${startdir}"/share/pixmaps/ || exit 1
+install -m0644 wbarconf.png "${startdir}"/share/pixmaps/ || exit 1
 
-mkdir -p $startdir/share/applications/
-install -m0644 wbarconf.desktop $startdir/share/applications/ || return 1
+mkdir -p "${startdir}"/share/applications/ || exit 1
+install -m0644 wbarconf.desktop "${startdir}"/share/applications/ || exit 1
 
 echo "Installation complete."
--- wbarconf/wbarconf.desktop
+++ wbarconf/wbarconf.desktop
@@ -2,10 +2,10 @@
 Name=WbarConf
 Exec=wbarconf 
 Type=Application
-Icon=wbarconf.png
+Icon=wbarconf
 Terminal=false
 StartupNotify=true
-Categories=GTK;Utility; 
+Categories=GTK;Utility;
 Comment=Configuration tool for wbar
 Comment[de]=Konfigurationswerkzeug für Wbar
 Comment[fi]=Asetustyökalu wbar:lle
--- wbarconf/wbarconf
+++ wbarconf/wbarconf
@@ -51,7 +51,7 @@
     print("Gettext error, defaulting to english!")
     #    return message
 
-wbarversion="0.7.2.1"
+wbarversion="0.7.2.2"
 
 ITEM_ID = 0
 ITEM_ICON = 1
